Open CASCADE Technology: Transfer_VoidBinder Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Transfer_VoidBinder Class Reference

a VoidBinder is used to bind a starting item with a status, error or warning messages, but no result It is interpreted by TransferProcess, which admits a VoidBinder to be over-written, and copies its check to the new Binder More...

`#include <Transfer_VoidBinder.hxx>`

Inheritance diagram for Transfer_VoidBinder:
[legend]

## Public Member Functions
| Transfer_VoidBinder ()
| a VoidBinder is not Multiple (Remark : it is not Simple too) But it can bring next results ... More...
Handle< Standard_Type > | ResultType () const
| while a VoidBinder admits no Result, its ResultType returns the type of <me> More...
Standard_CString | ResultTypeName () const
| Returns "(void)". More...
Public Member Functions inherited from Transfer_Binder
void | Merge (const Handle< Transfer_Binder > &other)
| Merges basic data (Check, ExecStatus) from another Binder but keeps its result. Used when a binder is replaced by another one, this allows to keep messages. More...
virtual Standard_Boolean | IsMultiple () const
| Returns True if a Binder has several results, either by itself or because it has next results Can be defined by sub-classes. More...
void | AddResult (const Handle< Transfer_Binder > &next)
| Adds a next result (at the end of the list) Remark : this information is not processed by Merge. More...
Handle< Transfer_Binder > | NextResult () const
| Returns the next result, Null if none. More...
Standard_Boolean | HasResult () const
| Returns True if a Result is available (StatusResult = Defined) A Unique Result will be gotten by Result (which must be defined in each sub-class according to result type) For a Multiple Result, see class MultipleBinder For other case, specific access has to be forecast. More...
void | SetAlreadyUsed ()
| Declares that result is now used by another one, it means that it cannot be modified (by Rebind) More...
Transfer_StatusResult | Status () const
| Returns status, which can be Initial (not yet done), Made (a result is recorded, not yet shared), Used (it is shared and cannot be modified) More...
Transfer_StatusExec | StatusExec () const
| Returns execution status. More...
void | SetStatusExec (const Transfer_StatusExec stat)
| Modifies execution status; called by TransferProcess only (for StatusError, rather use SetError, below) More...
void | AddFail (const Standard_CString mess, const Standard_CString orig="")
| Used to declare an individual transfer as beeing erroneous (Status is set to Void, StatusExec is set to Error, <errmess> is added to Check's list of Fails) It is possible to record several messages of error. More...
void | AddWarning (const Standard_CString mess, const Standard_CString orig="")
| Used to attach a Warning Message to an individual Transfer It has no effect on the Status. More...
const Handle< Interface_Check > | Check () const
| Returns Check which stores Fail messages Note that no Entity is associated in this Check. More...
Handle< Interface_Check > | CCheck ()
| Returns Check which stores Fail messages, in order to modify it (adding messages, or replacing it) More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Additional Inherited Members
Protected Member Functions inherited from Transfer_Binder
| Transfer_Binder ()
| Sets fields at initial values. More...
void | SetResultPresent ()
| Used to declare that a result is recorded for an individual transfer (works by setting StatusResult to Defined) More...

## Detailed Description

a VoidBinder is used to bind a starting item with a status, error or warning messages, but no result It is interpreted by TransferProcess, which admits a VoidBinder to be over-written, and copies its check to the new Binder

## Constructor & Destructor Documentation

Transfer_VoidBinder::Transfer_VoidBinder | ( |  | ) |

a VoidBinder is not Multiple (Remark : it is not Simple too) But it can bring next results ...

## Member Function Documentation

Handle< Standard_Type > Transfer_VoidBinder::ResultType | ( |  | ) | const
| virtual

while a VoidBinder admits no Result, its ResultType returns the type of <me>

Implements Transfer_Binder.

Standard_CString Transfer_VoidBinder::ResultTypeName | ( |  | ) | const
| virtual

Returns "(void)".

Implements Transfer_Binder.

The documentation for this class was generated from the following file:

- Transfer_VoidBinder.hxx